module Teste

  class << self
  @@path_to_resources = File.join(File.dirname(__FILE__), 'Resources')

  def colorchange
      mat_names = ['Color']
      materials = Sketchup.active_model.materials
      mat_names.each{|mn| materials.add(mn) unless materials[mn]}
      mat_folder = File.join(File.dirname(__FILE__).tr("\\","/"),"Materials/Color/")
      @last ||= '0'
      @last=='7' ? @last='1' :  @last=@last.next
      for mn in mat_names
      material = materials[mn]
      material.texture = mat_folder + "#{@last}-#{mn}.jpg"
      end
   end
      
   def componentchange
      @mod = Sketchup.active_model
      @ent = @mod.active_entities
      @avant ||= '1'; @next = @avant.next; @next = '1' if @next == '4'
      last_name = "#{@avant}-Component"; next_name = "#{@next}-Component"
   if @mod.definitions[last_name] && @mod.definitions[last_name].instances[0]
        cd = @mod.definitions[next_name]
        unless cd
        cmp = File.join(Sketchup.find_support_file('plugins'),"TNT_Teste/Components/#{next_name}.skp")
        cd = @mod.definitions.load cmp
        end
        @mod.definitions.find{|d|d.name==last_name}.instances.each{|ci|ci.definition=cd}
        @avant = @next
        else
        UI.messagebox "#{last_name} not found."
      end
	end
	
		
if !file_loaded?(__FILE__)

      su_menu = UI.menu("Plugins")

      cc_menu = su_menu.add_submenu(%Q(Teste))

      tb = UI::Toolbar.new(%Q(Teste))

      command1 = UI::Command.new("Change Color"){ Teste.colorchange }

      command1.small_icon = File.join(@@path_to_resources,"add_00.png")

      command1.large_icon = File.join(@@path_to_resources,"add_00.png")

      command1.tooltip = %Q(Change Color)

      command1.status_bar_text = %Q(Change Color)

      command1.menu_text = %Q(Change Color)

      cc_menu.add_item(command1)

      tb.add_item(command1)
		
		
	  command2 = UI::Command.new("Change component"){ Teste.componentchange }

      command2.small_icon = File.join(@@path_to_resources,"add_01.png")

      command2.large_icon = File.join(@@path_to_resources,"add_01.png")

      command2.tooltip = %Q(Change component)

      command2.status_bar_text = %Q(Change component)

      command2.menu_text = %Q(Change component)

      cc_menu.add_item(command2)

      tb.add_item(command2)
	  
	  
      tb.restore

      file_loaded(__FILE__)

      end
	  end
	  end

